#
# spec file for package perl-IO-Stty (Version 0.03)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

%bcond_with pod

Name:           perl-IO-Stty
%define cpan_name IO-Stty
Summary:        IO::Stty Perl module
Version:        0.03
Release:        21.5
License:        GPL-1.0+ or Artistic-1.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/IO-Stty/
Source:         http://www.cpan.org/modules/by-module/IO/IO-Stty-%{version}.tar.gz
#Source:         %{cpan_name}-%{version}.tar.bz2
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}
BuildRequires:  perl
BuildRequires:  perl(Module::Build)
BuildRequires:  perl-macros
%if %{with pod}
BuildRequires:  perl(Test::Pod) >= 1.22
BuildRequires:  perl(Test::Pod::Coverage) >= 1.08
%endif
#

%description
This is the PERL POSIX compliant stty.

Authors:
--------
    Austin Schutz <auschutz@cpan.org>
    Todd Rinaldo <toddr@cpan.org>

%prep
%setup -q -n %{cpan_name}-%{version}
#rpmlint: wrong-script-interpreter
%{__sed} -i -e "s@/usr/local/perl/bin/perl@%{__perl}@" scripts/stty.pl

%build
%{__perl} Build.PL installdirs=vendor
./Build

%check
./Build test

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
%perl_gen_filelist

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files -f %{name}.files
%defattr(-,root,root,-)
%doc Changes README scripts

%changelog
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Tue Jul 27 2010 chris@computersalat.de
- update to 0.03
  o no updated Changes :(
- recreated by cpanspec 1.78
- noarch pkg
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sun Jan 11 2004 adrian@suse.de
- build as user
* Fri Aug 22 2003 mjancar@suse.cz
- require the perl version we build with
* Fri Jul 18 2003 mc@suse.de
- add vendorarch changes
- fix for correct perl interpreter
* Sun Jun 22 2003 coolo@suse.de
- package directories
* Mon May 19 2003 mc@suse.de
- removed unpackaged Files from RPM_BUILD_ROOT
* Tue Sep 17 2002 ro@suse.de
- removed bogus self-provides
* Tue Jul  2 2002 mls@suse.de
- remove race in .packlist generation
* Thu Jun 21 2001 mc@suse.de
- fixed the specfile. Used more RPM macros
* Thu Feb  8 2001 mc@suse.de
- first package, v.02
